# DataHandleOutput.ResultIterator (ARX GUI Documentation)

org.deidentifier.arx

## Class DataHandleOutput.ResultIterator

- java.lang.Object
- - org.deidentifier.arx.DataHandleOutput.ResultIterator

- All Implemented Interfaces:
    java.util.Iterator<java.lang.String[]>
  Enclosing class:
    DataHandleOutput

      public class DataHandleOutput.ResultIterator
      extends java.lang.Object
      implements java.util.Iterator<java.lang.String[]>

  The class ResultIterator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataHandleOutput.ResultIterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `java.lang.String[]` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataHandleOutput.ResultIterator

          public DataHandleOutput.ResultIterator()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<java.lang.String[]>`

    - #### next

          public java.lang.String[] next()

      Specified by:
        `next` in interface `java.util.Iterator<java.lang.String[]>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<java.lang.String[]>`